MUFF WIGGLER Forum Index
 FAQ & Terms of UseFAQ & Terms Of Use   Wiggler RadioMW Radio   Muff Wiggler TwitterTwitter   Support the site @ PatreonPatreon 
 SearchSearch   RegisterSign up   Log inLog in 
WIGGLING 'LITE' IN GUEST MODE

ES-3 mk2 compatability with ES-5 mk3, or other issues?
MUFF WIGGLER Forum Index -> Expert Sleepers  
Author ES-3 mk2 compatability with ES-5 mk3, or other issues?
defalut
Hi all,

i´m about to buy a decent priced ES-3 mk2 and i wonder if there is any compatability issues with latest versions of the expander ES-5 (mk3) or if i can go on?

Are there any other issues with the mk2 version that are good to be aware of?
I´m getting it at half the price for a new mk4 which feels ok with me.
os
All versions are compatible.
MUFF WIGGLER Forum Index -> Expert Sleepers  
Page 1 of 1
Powered by phpBB © phpBB Group